System.Web 2.0.0.0

is introduced in the .NET Framework version 3.5. For more information, see The .NET Framework 3.5 Architecture.

Provides access to the mapping between configuration-file virtual and physical paths.

- Method
  2.0.0.0
  System.String `` ``

  is introduced in the .NET Framework version 3.5. For more information, see The .NET Framework 3.5 Architecture.

  Gets the virtual-directory name associated with a specific site.

  The must be unique. No two sites share the same id. The distinguishes sites that have the same name.

  A unique identifier for the site. The URL associated with the site.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.String

  is introduced in the .NET Framework version 3.5. For more information, see The .NET Framework 3.5 Architecture.

  Gets the machine-configuration file name.

  The machine-configuration file name.

- Method
  2.0.0.0
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.String

  is introduced in the .NET Framework version 3.5. For more information, see The .NET Framework 3.5 Architecture.

  Gets the name of the configuration file at the Web root.

  The name of the configuration file at the Web root.

- Method
  2.0.0.0
  System.String `` ``

  is introduced in the .NET Framework version 3.5. For more information, see The .NET Framework 3.5 Architecture.

  Gets the physical directory path based on the site ID and URL associated with the site.

  The physical directory path.

  A unique identifier for the site. The URL associated with the site.
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.